<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/mvc/scriptviews/bases/expansionscriptview.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionscriptview.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionScriptViewBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/dc3/class_expansion_view_controller.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a>: ViewController </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/dc3/class_expansion_view_controller.html#a1f54adfd2fd988144e1ce6489880f001">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc3/class_expansion_view_controller.html#a1f54adfd2fd988144e1ce6489880f001">ExpansionViewController</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        Debug_Logging = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>};</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html">   21</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d1b/class_expansion_script_view_base.html">ExpansionScriptViewBase</a>: ScriptView</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a8e771561ee75094dce894c83357dd45a">   23</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../db/d1b/class_expansion_script_view_base.html#a8e771561ee75094dce894c83357dd45a">m_IsVisible</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a0e0843dbdfc2c1b5bce5dd41c28d270a">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a0e0843dbdfc2c1b5bce5dd41c28d270a">ExpansionScriptViewBase</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        Debug_Logging = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#adc09562714e019563aa3745be626ccf1">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#adc09562714e019563aa3745be626ccf1">SetIsVisible</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../db/d1b/class_expansion_script_view_base.html#a8e771561ee75094dce894c83357dd45a">m_IsVisible</a> = state;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a2421ffbaaee2ab541d1a5a948c0b2d3c">   35</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a2421ffbaaee2ab541d1a5a948c0b2d3c">IsVisible</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d1b/class_expansion_script_view_base.html#a8e771561ee75094dce894c83357dd45a">m_IsVisible</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a290b3bb407007180d1a54d3fd1f7711d">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a290b3bb407007180d1a54d3fd1f7711d">Show</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#af6b3d0a2b90bba2574eaeeaec147e008">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#af6b3d0a2b90bba2574eaeeaec147e008">OnShow</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a2bfc20b74c9d64db73796801aa94faf4">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a2bfc20b74c9d64db73796801aa94faf4">Hide</a>();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a4d57f2f454dd914cc7048173d29bbbba">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a4d57f2f454dd914cc7048173d29bbbba">OnHide</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#acd1beba399221cb964437dc1246ee063">   48</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#acd1beba399221cb964437dc1246ee063">CanShow</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../db/d1b/class_expansion_script_view_base.html#a26481713ddc688966e02819b6b074658">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1b/class_expansion_script_view_base.html#a26481713ddc688966e02819b6b074658">Refresh</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>}</div>
<div class="ttc" id="aclass_expansion_script_view_base_html"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html">ExpansionScriptViewBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00021">expansionscriptview.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a0e0843dbdfc2c1b5bce5dd41c28d270a"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a0e0843dbdfc2c1b5bce5dd41c28d270a">ExpansionScriptViewBase::ExpansionScriptViewBase</a></div><div class="ttdeci">void ExpansionScriptViewBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00025">expansionscriptview.c:25</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a2421ffbaaee2ab541d1a5a948c0b2d3c"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a2421ffbaaee2ab541d1a5a948c0b2d3c">ExpansionScriptViewBase::IsVisible</a></div><div class="ttdeci">bool IsVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00035">expansionscriptview.c:35</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a26481713ddc688966e02819b6b074658"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a26481713ddc688966e02819b6b074658">ExpansionScriptViewBase::Refresh</a></div><div class="ttdeci">void Refresh()</div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a290b3bb407007180d1a54d3fd1f7711d"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a290b3bb407007180d1a54d3fd1f7711d">ExpansionScriptViewBase::Show</a></div><div class="ttdeci">void Show()</div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a2bfc20b74c9d64db73796801aa94faf4"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a2bfc20b74c9d64db73796801aa94faf4">ExpansionScriptViewBase::Hide</a></div><div class="ttdeci">void Hide()</div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a4d57f2f454dd914cc7048173d29bbbba"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a4d57f2f454dd914cc7048173d29bbbba">ExpansionScriptViewBase::OnHide</a></div><div class="ttdeci">void OnHide()</div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_a8e771561ee75094dce894c83357dd45a"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#a8e771561ee75094dce894c83357dd45a">ExpansionScriptViewBase::m_IsVisible</a></div><div class="ttdeci">private bool m_IsVisible</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00023">expansionscriptview.c:23</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_acd1beba399221cb964437dc1246ee063"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#acd1beba399221cb964437dc1246ee063">ExpansionScriptViewBase::CanShow</a></div><div class="ttdeci">bool CanShow()</div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_adc09562714e019563aa3745be626ccf1"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#adc09562714e019563aa3745be626ccf1">ExpansionScriptViewBase::SetIsVisible</a></div><div class="ttdeci">void SetIsVisible(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00030">expansionscriptview.c:30</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_base_html_af6b3d0a2b90bba2574eaeeaec147e008"><div class="ttname"><a href="../../db/d1b/class_expansion_script_view_base.html#af6b3d0a2b90bba2574eaeeaec147e008">ExpansionScriptViewBase::OnShow</a></div><div class="ttdeci">void OnShow()</div></div>
<div class="ttc" id="aclass_expansion_view_controller_html"><div class="ttname"><a href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_view_controller_html_a1f54adfd2fd988144e1ce6489880f001"><div class="ttname"><a href="../../d1/dc3/class_expansion_view_controller.html#a1f54adfd2fd988144e1ce6489880f001">ExpansionViewController::ExpansionViewController</a></div><div class="ttdeci">void ExpansionViewController()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00015">expansionscriptview.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_21b6e99d2259d20eecd5052865c6194e.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_7101d945c166d3b4189a90760bfa609b.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_32af4eae551c09db7f4fd8497a66931c.html">bases</a></li><li class="navelem"><a class="el" href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c.html">expansionscriptview.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
